package com.boman.system.common;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;

/**
 * @author shiqian
 * @description
 * @date 2021年03月22日 09:53
 **/
public class BaseTableDTO {

    @JSONField(name = "objId")
    private Long objId;

    @JSONField(name = "fixedData")
    private JSONObject fixedData;

    /**
     * 前台传参中的表名
     */
    @JSONField(name = "table")
    private String table;

    @JSONField(name = "delMTable")
    private Boolean delMTable;

    @JSONField(name = "tabItem")
    private JSONObject tabItem;

    public Long getObjId() {
        return objId;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public JSONObject getFixedData() {
        return fixedData;
    }

    public void setFixedData(JSONObject fixedData) {
        this.fixedData = fixedData;
    }

    public String getTable() {
        return table;
    }

    public void setTable(String table) {
        this.table = table;
    }

    public Boolean getDelMTable() {
        return delMTable;
    }

    public void setDelMTable(Boolean delMTable) {
        this.delMTable = delMTable;
    }

    public JSONObject getTabItem() {
        return tabItem;
    }

    public void setTabItem(JSONObject tabItem) {
        this.tabItem = tabItem;
    }
}
